PHP 手冊
前一頁 |  | 下一頁

# DOMText->splitText()

DOMText->splitText() -- Breaks this node into two nodes at the specified offset

## Description

class DOMText {
DOMText splitText ( int offset )
}

Breaks this node into two nodes at the specified offset, keeping both in the tree as siblings.

After being split, this node will contain all the content up to the offset. If the original node had a parent node, the new node is inserted as the next sibling of the original node. When the offset is equal to the length of this node, the new node has no data.

## Parameters

offset

  The offset at which to split, starting from 0.

## Return Values

The new node of the same type, which contains all the content at and after the offset.

前一頁 | 內容 | 下一頁
DOMText->isWhitespaceInElementContent() | 上一層 | DOMXPath->__construct()